import { ColumnMetadataArgs } from 'typeorm/metadata-args/ColumnMetadataArgs';
import { Singleton } from './singleton';
import { ColumnValue, StubGenerator } from './interfaces';
export declare class Generator extends Singleton implements StubGenerator {
    generateDate(_column: ColumnMetadataArgs): Date;
    generateEnum(column: ColumnMetadataArgs): string | number;
    generateNumber(_column: ColumnMetadataArgs): number;
    generateString(_column: ColumnMetadataArgs): string;
    generateUuid(_column: ColumnMetadataArgs): string;
    generateBoolean(_column: ColumnMetadataArgs): boolean;
    generateRandomNumber(min: number, max: number): number;
    generate(column: ColumnMetadataArgs, method: keyof StubGenerator, designType: Function): ColumnValue | ColumnValue[];
    private getRandomWord;
}
